within ;
model RPfr3d
  import Modelica.Constants.pi;
  inner Modelica.Mechanics.MultiBody.World world
    annotation (Placement(transformation(extent={{-76,70},{-56,90}})));
  Modelica.Mechanics.MultiBody.Parts.Fixed fixed
    annotation (Placement(transformation(extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={-22,82})));
  Modelica.Mechanics.MultiBody.Parts.Body body1(
    animation=true,
    sphereColor={0,128,255},
    cylinderDiameter=0,
    r_CM={0,0,0},
    m=1.5,
    sphereDiameter=0.2,
    I_21=0,
    I_31=0,
    I_32=0,
    r_0(fixed=false),
    I_11=0,
    I_22=0,
    I_33=0)                                                                                                           annotation(Placement(visible = true, transformation(origin={-21.8034,
            -8.1339},                                                                                                    extent = {{-12,-12},{12,12}}, rotation=-90)));
  ArgesimLib.Rope rope(l=1, Fbrake=100000)
    annotation (Placement(transformation(rotation=0, extent={{-32,8},{-12,28}})));
  ArgesimLib.RPTrigger rPTrigger annotation (Placement(transformation(rotation=0,
          extent={{-60,-4},{-40,16}})));
  ArgesimLib.RPStop rPStop
    annotation (Placement(transformation(extent={{26,52},{46,72}})));
  Modelica.Mechanics.MultiBody.Joints.Revolute revolute1(useAxisFlange = true,
    cylinderColor={0,128,255},
    phi(start=pi/4, fixed=true),
    w(fixed=true, start=15),
    cylinderLength=0.05,
    cylinderDiameter=0.05)                                                                                        annotation(Placement(visible = true, transformation(origin={-22.8604,
            52},                                                                                                                                                                                        extent={{-12,12},
            {12,-12}},                                                                                                                                                                                                        rotation=90)));
  Modelica.Mechanics.Rotational.Components.Damper damper1(d=0.9) annotation(Placement(visible = true, transformation(origin={2.8604,
            49.6125},                                                                                                                            extent = {{-12,-12},{12,12}}, rotation=90)));
equation
  connect(rPTrigger.isFalling, rope.isFalling) annotation (Line(points={{-40,6},
          {-36,6},{-36,10},{-31.8,10}},
                                     color={255,0,255}));
  connect(rope.f,rPTrigger. F) annotation (Line(points={{-32.2,24},{-68,24},{
          -68,0},{-60,0}},
                     color={0,0,127}));
  connect(rope.frame_b, body1.frame_a) annotation (Line(
      points={{-22,8},{-22,3.8661},{-21.8034,3.8661}},
      color={95,95,95},
      thickness=0.5));
  connect(rope.s,rPTrigger. s) annotation (Line(points={{-32.2,20},{-64,20},{
          -64,12},{-60,12}},
                     color={0,0,127}));
  connect(revolute1.frame_a, rope.frame_a) annotation (Line(
      points={{-22.8604,40},{-22,40},{-22,28}},
      color={95,95,95},
      thickness=0.5));
  connect(revolute1.frame_b, fixed.frame_b) annotation (Line(
      points={{-22.8604,64},{-22,64},{-22,72}},
      color={95,95,95},
      thickness=0.5));
  connect(revolute1.support, damper1.flange_a) annotation (Line(points={{
          -10.8604,44.8},{-7.4302,44.8},{-7.4302,37.6125},{2.8604,37.6125}},
        color={0,0,0}));
  connect(revolute1.axis, damper1.flange_b) annotation (Line(points={{-10.8604,
          52},{-8,52},{-8,61.6125},{2.8604,61.6125}}, color={0,0,0}));
  connect(damper1.flange_b, rPStop.flange_a) annotation (Line(points={{2.8604,
          61.6125},{15.4302,61.6125},{15.4302,62},{26,62}}, color={0,0,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=10, __Dymola_NumberOfIntervals=2000));
end RPfr3d;
