within ;
model RPfrhyb2
  ArgesimLib.SystemSwitch systemSwitch
    annotation (Placement(transformation(extent={{-26,12},{-6,32}})));
  ArgesimLib.SwitchablePendulum2D switchablePendulum
    annotation (Placement(transformation(extent={{-40,44},{-60,64}})));
  ArgesimLib.SwitchableFreefall2D switchableFreefall(s0={1,0,0,0})
    annotation (Placement(transformation(extent={{12,44},{32,64}})));
  ArgesimLib.computeRPPlotVariables computeRPPlotVariables
    annotation (Placement(transformation(extent={{-26,-30},{-6,-10}})));
equation
  connect(systemSwitch.new1, switchablePendulum.newState) annotation (Line(
        points={{-22.2,32.2},{-22.2,60},{-40,60}}, color={0,0,127}));
  connect(systemSwitch.active1, switchablePendulum.active) annotation (Line(
        points={{-20,32.2},{-20,48},{-40,48}}, color={255,0,255}));
  connect(switchablePendulum.stateOut, systemSwitch.state1) annotation (Line(
        points={{-60,60},{-70,60},{-70,0},{-22,0},{-22,12}}, color={0,0,127}));
  connect(systemSwitch.active2, switchableFreefall.active) annotation (Line(
        points={{-9.8,32.2},{-9.8,48},{12,48}}, color={255,0,255}));
  connect(systemSwitch.new2, switchableFreefall.newState)
    annotation (Line(points={{-12,32.2},{-12,60},{12,60}}, color={0,0,127}));
  connect(switchableFreefall.stateOut, systemSwitch.state2) annotation (Line(
        points={{32,60},{40,60},{40,0},{-10,0},{-10,12}}, color={0,0,127}));
  connect(switchablePendulum.stateOut, computeRPPlotVariables.s1) annotation (
      Line(points={{-60,60},{-70,60},{-70,-40},{-22,-40},{-22,-30}}, color={0,0,
          127}));
  connect(switchableFreefall.stateOut, computeRPPlotVariables.s2) annotation (
      Line(points={{32,60},{40,60},{40,-40},{-10,-40},{-10,-30}}, color={0,0,
          127}));
  connect(computeRPPlotVariables.isSwinging, switchablePendulum.active)
    annotation (Line(points={{-26.6,-20},{-34,-20},{-34,48},{-40,48}}, color={
          255,0,255}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=10,
      __Dymola_NumberOfIntervals=2000,
      Tolerance=1e-10,
      __Dymola_Algorithm="Dassl"));
end RPfrhyb2;
